/* ================================================
 * drawKmlFileData.h header file for drawKmlData.c
 *
 */

#define NULL_LVL  0
#define DOCMT_LVL 1
#define STYLE_LVL 2
#define FOLDR_LVL 3
#define TRACK_LVL 4
#define NAME_LVL  5
#define PLACE_LVL 6
#define COORD_LVL 7

#define POINT_COORD 1
#define LINE_COORD  2
#define POLY_COORD  3

int openKmlFile(char *fileName);

int updateLevel(int prev_lvl, char *line);

int parseKmlStyle(int prev_lvl, char *line);

char *getPhrase(char *line, int lineLen, FILE *kmlFile);

int nextKmlCoordinate(int *mode, double *latitude, double *longitude, int *restart);

void closeKmlFile();

int parseKmlFile(char *fileName, struct image_corners *image, unsigned char *drawing);
