/* ==============================================================================
 *
 * utmCalcUtils : Mapping from UTM based data grid to Longitude/Latitude based
 *                data grids.  This follows from Fred M. Erickson in drawmap.c
 */

void NewDemData( struct dem_record_type_a *dem);

void NewImageGrid( struct image_corners *image_corners);

int CalcLatitudePoint( double *latitude,  long y, struct image_corners *imageCorner);

int CalcLongitudePoint(double *longitude, long x, struct image_corners *image_corners);

int ImageToDataGrid( long *xGrid, long *yGrid, double longitude, double latitude,
                     struct datum *datum);

/* ===================================================================================
 *                                E N D   O F   F I L E
 * ===================================================================================
 */
